#ifndef _COMMON_BITMAPOVERLAY_HPP_
#define _COMMON_BITMAPOVERLAY_HPP_
#ifndef _COMMON_POINT_HPP_
#include <common/point.hpp>
#endif

class Bitmap;

class BitmapOverlay
{
public:
	BitmapOverlay(Bitmap &someBitmap,const Point &placementPoint);
	virtual ~BitmapOverlay();
	Bitmap &bitmap(void);
	const Point &placementPoint(void)const;
private:
	Bitmap &mBitmap;
	Point mPlacementPoint;
};

inline
BitmapOverlay::BitmapOverlay(Bitmap &someBitmap,const Point &placementPoint)
: mBitmap(someBitmap), mPlacementPoint(placementPoint)
{
}

inline
BitmapOverlay::~BitmapOverlay()
{
}

inline
Bitmap &BitmapOverlay::bitmap(void)
{
	return mBitmap;
}

inline
const Point &BitmapOverlay::placementPoint(void)const
{
	return mPlacementPoint;
}
#endif

